#ifndef SRC_IP_CLIENT_H_
#define SRC_IP_CLIENT_H_
#include <pthread.h>
#include <klog.h>

class IPclient
{
    cKlog logger;
	char mHost[64];
	int mPort;
	int mFD;

	bool connect_client();

public:
	IPclient(const char *host, int port);
	virtual ~IPclient();

	void getHost(char *host, int *port);

	int transaction(uint8_t *buffer, int buffer_len, int tx_len);

};

#endif /* SRC_IP_CLIENT_H_ */
